MethodExceptionEventHandler (Velocity 1.7 API)
Keywords: org.apache.velocity.app.event.MethodExceptionEventHandler interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.app.event
Interface MethodExceptionEventHandler

All Superinterfaces:
  EventHandler

All Known Implementing Classes:
  PrintExceptions

public interface MethodExceptionEventHandler
extends EventHandler

Event handler called when a method throws an exception. This gives the application a chance to deal with it and either return something nice, or throw. Please return what you want rendered into the output stream.

Version:
  $Id: MethodExceptionEventHandler.java 685685 2008-08-13 21:43:27Z nbubna $
Author:
  Will Glass-Husain, Geir Magnusson Jr.

Nested Class Summary
`static class` | `MethodExceptionEventHandler.MethodExceptionExecutor` Defines the execution strategy for methodException

Method Summary
`Object` | `methodException(Class claz, String method, Exception e)` Called when a method throws an exception.

Method Detail

### methodException

    public Object methodException(Class claz,
                                  String method,
                                  Exception e)
                           throws Exception

  Called when a method throws an exception. Only the first registered MethodExceptionEventHandler is called. If none are registered a MethodInvocationException is thrown.

  Parameters:
    `claz` - the class of the object the method is being applied to
    `method` - the method
    `e` - the thrown exception
  Returns:
    an object to insert in the page
  Throws:
    `Exception` - an exception to be thrown instead inserting an object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.